# FoundationClasses
TKernel
Message

# Message Class Reference

Defines
- tools to work with messages
- basic tools intended for progress indication
.

`#include <Message.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT const Handle_Message_Messenger & | DefaultMessenger ()
| Defines default messenger for OCCT applications. This is global static instance of the messenger. By default, it contains single printer directed to cout. It can be customized according to the application needs. .
static Standard_EXPORT TCollection_AsciiString | FillTime (const Standard_Integer Hour, const Standard_Integer Minute, const Standard_Real Second)
| Returns the string filled with values of hours, minutes and seconds. Example: 1. (5, 12, 26.3345) returns "05h:12m:26.33s", 2. (0, 6, 34.496 ) returns "06m:34.50s", 3. (0, 0, 4.5 ) returns "4.50s" .

## Member Function Documentation

static Standard_EXPORT const Handle_Message_Messenger& Message::DefaultMessenger | ( |  | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString Message::FillTime | ( | const Standard_Integer | Hour,
|  | const Standard_Integer | Minute,
|  | const Standard_Real | Second
| ) | `[static]`

void Message::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Message::operator new | ( | size_t | size | ) | `[inline]`

void* Message::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Message.hxx